/*
 * Tapioca library
 * Copyright (C) 2005 INdT 
 * @author Luiz Augusto von Dentz <luiz.dentz@indt.org.br>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef __TAPIOCA_PRIVACY_PRIVATE_H__
#define __TAPIOCA_PRIVACY_PRIVATE_H__

#include "tapioca_privacy.h"

G_BEGIN_DECLS

/* dbus callbacks */
gboolean    tapioca_privacy_request_lists             (TapiocaPrivacy *tp,
                                                       GError **error);
gboolean    tapioca_privacy_request_list_rules        (TapiocaPrivacy *tp,
                                                       const gchar *name,
                                                       GError **error);
gboolean    tapioca_privacy_get_default_list          (TapiocaPrivacy *tp,
                                                       const gchar **name,
                                                       GError **error);
gboolean    tapioca_privacy_set_default_list          (TapiocaPrivacy *tp,
                                                       const gchar *name,
                                                       GError **error);
gboolean    tapioca_privacy_get_active_list           (TapiocaPrivacy *tp,
                                                       const gchar **name,
                                                       GError **error);
gboolean    tapioca_privacy_set_active_list           (TapiocaPrivacy *tp,
                                                       const gchar *name,
                                                       GError **error);
gboolean    tapioca_privacy_add_list_rule             (TapiocaPrivacy *tp,
                                                       const gchar *list_name,
                                                       guint type,
                                                       const gchar *value,
                                                       guint action,
                                                       GError **error);
gboolean    tapioca_privacy_remove_list_rule          (TapiocaPrivacy *tp,
                                                       const gchar *list_name,
                                                       guint type,
                                                       const gchar *value,
                                                       guint action,
                                                       GError **error);
G_END_DECLS

#endif
